Doomsday Engine - Bug #957

sudden slow down 1.9.x
2011-03-25 12:54 - vaclav042

Status: Closed Start date: 2011-03-25
Priority: Low % Done: 100%
Assignee:

Category:

Target version: 1.9.0-betab

Description

| am playing the Megawad 'Scythe 2', using Doomsday built for Mac OS X under 10.4.11, a Macbook Pro with 1.67GHz PPC G4 and
2Gb RAM. At a certain point in Map04, when a button is pressed the game play slows to < 1fps. If | play the Wad using 1.8.6 (beta 2
build for MacOS X), game play proceeds as normal. | am attaching the savegame file and doomsday.out. | can add the WAD file, but
it is large, and you probably have it already (I gather it is a bit of a classic).

Labels: jDoom

History

#1 - 2011-03-25 12:54 - vaclav042

aaargh, pressed the wrong button. How do | add more attachments?
#2 - 2011-03-25 12:57 - vaclav042
saved game

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/5d83bde7/0996/attachment/DoomSavi.dsg

#3 - 2011-03-25 12:59 - vaclav042

OK, sorry, got the other file attached. To reproduce the problem in my hands, load DOOM2.WAD and SCYTHE2.WAD and start doomsday, load the
attached game and press the button in front of you. | have tried turning off all the bells and whistles | can that might be slowing things down (has to be
done to get through some earlier levels with big open maps). | have tried the latest beta and the one previous to that. Same problem.

#4 - 2011-03-25 13:03 - danij

| have just tried to load your saved game on Windows and it didn't even appear in the load menu. Are you sure you've uploaded the correct file? It will
be in the /doom2 subdirectory of your savegame folder.

#5 - 2011-03-25 14:02 - vaclav042

IN that directory are 8 DoomSavx.dsg files. | uploaded DoomSav1.dsg, that being a save game with internal name SCY4A. If | copy that file to, e.g.
the ~/.doomsday/savegame folder used by the older version of doomsday (1.8.6) it appears in the list under that name (though it won't load, so |
presume the savegame format changed between 1.8 and 1.9).

I haven't uploaded to Sourceforge for ages - do | need to zip the file before uploading?

#6 - 2011-03-25 17:16 - skyjake

Sounds like one of the memory zone issues that were fixed for 1.9.7.

#7 - 2012-07-13 10:15 - vaclav042

doomsday.out

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/5d83bde7/d707/attachment/doomsday.out
